Package org.apache.tools.ant.taskdefs

# Class Javadoc.SourceFile

java.lang.Object
org.apache.tools.ant.taskdefs.Javadoc.SourceFile

Enclosing class:
  Javadoc

    public static class Javadoc.SourceFile
    extends java.lang.Object

This class is used to manage the source files to be processed.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`SourceFile()` | Default constructor
`SourceFile​(java.io.File file)` | Constructor specifying the source file directly

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`java.io.File` | `getFile()` | Get the source file.
`void` | `setFile​(java.io.File file)` | Set the source file.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SourceFile

public SourceFile()
Default constructor

### SourceFile

public SourceFile​(java.io.File file)
Constructor specifying the source file directly

Parameters:
  `file` - the source file

## Method Details

### setFile

public void setFile​(java.io.File file)
Set the source file.

Parameters:
  `file` - the source file.

### getFile

public java.io.File getFile()
Get the source file.

Returns:
  the source file.